Update Answer
curl --request PUT \
--url https://api.birdeye.com/resources/v1/qna/answer/update \
--header 'Content-Type: application/json' \
--data '
{
"questionId": 7812,
"answerId": 7813,
"question": "Enter answer here"
}
'import requests
url = "https://api.birdeye.com/resources/v1/qna/answer/update"
payload = {
"questionId": 7812,
"answerId": 7813,
"question": "Enter answer here"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({questionId: 7812, answerId: 7813, question: 'Enter answer here'})
};
fetch('https://api.birdeye.com/resources/v1/qna/answer/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Google Q&A
Update Answer
Update an answer to an existing question. You can edit/ update an existing answer posted / created by you. Google does not allow you to edit/ update a third party posted answer
PUT
/
v1
/
qna
/
answer
/
update
Update Answer
Headers
e.g. application/json
e.g. - Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Query Parameters
Id of the business.
Body
application/json
Response
OK
⌘I